Bug 978841 - RFE: add comment 'export SYSTEMD_PAGER="' line to /etc/skel/.bash_profile
RFE: add comment 'export SYSTEMD_PAGER="' line to /etc/skel/.bash_profile
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: bash (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Ondrej Oprala
Iveta Wiedermann
: FutureFeature
Depends On:
Blocks: 959971
  Show dependency treegraph
 
Reported: 2013-06-27 04:12 EDT by Petr Sklenar
Modified: 2016-01-31 21:09 EST (History)
6 users (show)

See Also:
Fixed In Version: bash-4.2.45-2.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-18 08:21:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-06-27 04:12:50 EDT
Description of problem:
pager does not fit to everyone, please thing about some way to switch it off like SYSTEMD_PAGER="" into bash login.
It could be turn-on by default, but user could see how to switch it off

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:
add directive SYSTEMD_PAGER to visible file

Additional info:
Comment 2 Harald Hoyer 2013-06-27 07:09:37 EDT
(In reply to Petr Sklenar from comment #0)
> Expected results:
> add directive SYSTEMD_PAGER to visible file

you mean in /etc/skel/.bashrc or /etc/skel/.bash_profile or /etc/bashrc??

$ rpm -qf /etc/skel/.bashrc
bash-4.2.45-1.fc19.x86_64
$ rpm -qf /etc/bashrc 
setup-2.8.71-1.fc19.noarch
Comment 3 Petr Sklenar 2013-06-27 09:07:07 EDT
(In reply to Harald Hoyer from comment #2)
> (In reply to Petr Sklenar from comment #0)
> > Expected results:
> > add directive SYSTEMD_PAGER to visible file
> 
> you mean in /etc/skel/.bashrc or /etc/skel/.bash_profile or /etc/bashrc??
> 
> $ rpm -qf /etc/skel/.bashrc
> bash-4.2.45-1.fc19.x86_64
> $ rpm -qf /etc/bashrc 
> setup-2.8.71-1.fc19.noarch

I was about /etc/bashrc or maybe better ~/.bash_profile (so /etc/skel/.bash_profile). But don't know what's the better/more visible place (the both :) )


fyi once we talked to systemd developers and its in their todo list:

http://cgit.freedesktop.org/systemd/systemd/commit/?id=3679d1126bae52e02f6cd60fca196f616b9e660d
Comment 5 Lennart Poettering 2013-07-11 17:17:17 EDT
This really sounds like something to reassign to the bash package.

Bash folks, can we convince you to add the (commented!) lines

# Uncomment the following line if you don't like systemctl's auto-paging feature:
# export SYSTEMD_PAGER=''

to /etc/skel/.bash_profile?

That way, people who really hate the git-style auto-paging systemctl does can easily discover how to turn it off.
Comment 6 Roman Rakus 2013-07-23 12:09:38 EDT
Hmm, I don't know. Currently there isn't any suggestions. Do we really need to start it with SYSTEMD_PAGER?
Ah, but ok, it will not hurt anyone.
Comment 7 Roman Rakus 2013-07-23 12:17:01 EDT
(In reply to Lennart Poettering from comment #5)
> This really sounds like something to reassign to the bash package.
yep
> 
> Bash folks, can we convince you to add the (commented!) lines
yep
> 
> # Uncomment the following line if you don't like systemctl's auto-paging
> feature:
> # export SYSTEMD_PAGER=''
> 
> to /etc/skel/.bash_profile?
I think .bashrc is better - Usually I'm editing bashrc, which is executed when bash is not run as login shell.
> 
> That way, people who really hate the git-style auto-paging systemctl does
> can easily discover how to turn it off.
Hmm, really easily? I will not be trying to find anything about systemd configuration in bashrc.

Anyway, some configuration options is ok to have in bashrc. I think people will like such suggestions.
Comment 8 Roman Rakus 2013-08-09 07:50:03 EDT
Fixed in bash-4.2.45-2.el7

Users should see suggestion in ~/.bashrc

Note You need to log in before you can comment on or make changes to this bug.